# Update Tax Rate

```
PUT 
/tax-rates/:id
```

Updates a tax rate. Only `displayName` and `active` can change. Any other field, such as `percentage` or `taxType`, is rejected.

**Archiving**:

Set `active` to `false` to archive the tax rate. An archived rate cannot be set on a product. While a product still has it, the product cannot get new prices and its prices cannot start or switch a subscription. Tax rates are never deleted.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400
* 401
* 404
* 422
* 500
* 503

A tax rate object

The request is incorrect or could not be processed

Unauthorized error. Please check your auth credentials

The specified resource was not found

The request was well-formed but could not be processed due to semantic errors

Unexpected server error

The service is temporarily unavailable
